import sys
import mysql.connector

from database import DBOpen, connection_config

assert mysql.connector.paramstyle == 'pyformat'

def do_something(student_id):
    cursor = cnx.cursor()
    cursor.execute(
        'SELECT student_id, event_id, score '
        'FROM score '
        'WHERE student_id=%(student_id)s;', {'student_id': student_id})
    rows = cursor.fetchall()
    print len(rows)
    if True:
        for row in rows:
            print repr(row)
    else:
        print repr(rows)

if __name__ == '__main__':
    student_id = sys.argv[1]
    with DBOpen(connection_config) as cnx:
        do_something(student_id)
